Bug 1729712 - updates looking for files no longer at repo thus failing
Summary: updates looking for files no longer at repo thus failing
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mirrormanager
Version: 30
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-13 20:41 UTC by Nick Levinson
Modified: 2020-05-26 16:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:11:37 UTC
Type: Bug


Attachments (Terms of Use)

Description Nick Levinson 2019-07-13 20:41:28 UTC
When I tried to update, a popup told me that it can't, and that it tried various mirrors. Finally, I checked one. Fedora was looking for kernel 5.1.9 but an update mirror was already at 5.1.11. I've been having frequent update problems but this is the first time I diagnosed it, which I did by copying the URL from the popup, editing the URL by deleting the filename and extension from the URL, and looking at the resulting directory listing. Installing eventually succeeded, but it succeeded when Fedora wanted 5.1.11, not 5.1.9. So I guess that when I'm too late I have to await a new update that is in sync with what's available to be downloaded. Since I check for updates every few days, and that's because I don't get automatic updates but have to manually check the Software app to see if anything is available, this meant that my kernel was not updated to 5.1.9 or 5.1.11 but was still at 5.1.8 and I assume anything else in the update was not applied, either. If I miss the availability timeframe for an update, I have to wait for Fedora to distribute a new update. By the way, if I did get updates automatically but didn't keep my machine on and online all the time, I could still miss the availability timeframe and I'd have the same problem about missing an update until Fedora prepares a new one.

Arguably, I could have byppassed the update method altogether and downloaded 5.1.11, but then I wouldn't know if I had gotten all the files I needed or if the update method would have included various steps not obvious to me, like editing config files.

(I have since been updated to kernel 5.1.12 and lastly 5.1.16.)

What I expect: The ability to update to the latest offered by Fedora on whatever date I get around to doing it.

Comment 1 Adrian Reber 2019-07-15 08:23:49 UTC
Thanks for taking the time to create this bug report.

Unfortunately it is probably difficult to give a satisfying answer.

> What I expect: The ability to update to the latest offered by Fedora on whatever date I get around to doing it.

Fedora mirrors are run by volunteers, which means that Fedora does not have control when they sync. To make sure mirrors are up to date we scan all mirrors every 12 hours, but this takes a lot of time and a lot of resources. Between updates being available and a mirror syncing the content and Fedora verifying that the content is on the mirror it might require up to 48 hours. To give users access to updates through all the mirrors we tell yum/dnf that the last three update pushes are valid. So depending on the mirror you hit, it might be not the newest content but reasonably up to date. For really important updates there is a way to make sure all not up to date mirrors are not offered to a user.

yum/dnf (in most cases) handles this pretty good and gracefully and you should not see any errors.

Unfortunately you did not mention how (which tool/application) you are using to update your system, which would make it easier to decide if the tooling on your side does not handle the situation correctly or if something is wrong on the mirroring side. It would have been good to include which tools you used and which URLs have not been working. There is always a small chance that our mirror tooling does not correctly detect a broken mirror.

If it is a problem with the mirror tooling the correct place to report this would have been: https://pagure.io/fedora-infrastructure/issues

If it is a problem with the tools on your side, then it needs to be assigned to one of those tools.

I hope this explanation helps you to understand the setup a bit better and if you have any more information about your update problems, please let us know.

Comment 2 Nick Levinson 2019-07-17 00:28:42 UTC
I update using the Software app, using the Updates button. I think different mirrors are cited in popups on different occasions, even a few minutes apart, but I generally don't copy the URLs.

Unless I misunderstand you, there's a possibility you misunderstand, though. I think you think I'm complaining that the synchronizing is too slow. Actually, it's too fast. At that point, the latest update the Software app is offering has become too old for the mirrors it's checking, because the mirrors are already offering newer content, so no update is allowed at all. I have to await a still newer update via the Software app and then implement it quickly, before the mirrors are updated (sync'd) beyond what what the Software app is offering, and then I'm probably okay. But if the sync'g does not match what the Software app is trying to offer me, the Software app won't update.

This raises a more general concern. Is it possible that when I implement an update I'm really implementing only part of it? Might I be getting one component but not another that's supposed to be in the update because sync'g is not consistent? Or is all updating an all-or-nothing activity?

Comment 3 Ben Cotton 2020-04-30 21:32:46 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-05-26 16:11:37 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.